<#ibiztemplate>
TARGET=PSSYSAPP
</#ibiztemplate>
<#assign packageType="">
<#comment>前端应用微服务平台配置</#comment>
<#if sys.getAllPSDevSlnMSDepApps()??>
    <#list sys.getAllPSDevSlnMSDepApps() as depApp>
        <#if depApp.getUserParam("ibiz.deploy.packagetype","")?? && depApp.getUserParam("ibiz.deploy.packagetype","")!=''>
            <#assign packageType = depApp.getUserParam("ibiz.deploy.packagetype","")>
            <#break>
        </#if>
    </#list>
</#if>
<#if packageType=='war'>
package ${pub.getPKGCodeName()}.${app.getPKGCodeName()?lower_case};

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;


/**
 * 提供外部容器启动服务能力
 */
@Slf4j
public class ${app.getPKGCodeName()}Initializer extends SpringBootServletInitializer {
    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
        log.info("--正在使用外部容器启动服务--");
        return builder.sources(${app.getPKGCodeName()}Application.class);
    }
}
</#if>