<#ibiztemplate>
TARGET=PSSYSSERVICEAPI
</#ibiztemplate>
<#assign packageType="">
<#comment>服务接口微服务平台配置</#comment>
<#if sys.getAllPSDevSlnMSDepAPIs()??>
    <#list sys.getAllPSDevSlnMSDepAPIs() as depSysApi>
        <#if depSysApi.getUserParam("ibiz.deploy.packagetype","")?? && depSysApi.getUserParam("ibiz.deploy.packagetype","")!=''>
            <#assign packageType = depSysApi.getUserParam("ibiz.deploy.packagetype","")>
            <#break>
        </#if>
    </#list>
</#if>
<#if packageType=='war'>
package ${pub.getPKGCodeName()}.${item.codeName?lower_case};

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;

/**
 * 提供外部容器启动服务能力
 */
@Slf4j
public class ${sys.codeName}${item.codeName}Initializer extends SpringBootServletInitializer {
    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
        log.info("--正在使用外部容器启动服务--");
        return builder.sources(${sys.codeName}${item.codeName}Application.class);
    }
}
</#if>